#include <stdio.h>
#include "mpi.h"
#include "Comm.h"
#include "LALStdlib.h"

void
Master (Status *, mpiid);

void
Slave (Status *, mpiid);

int debuglevel = 1;

int
main (int argc, char *argv[])
{
  Status stat;
  mpiid  id;

  MPI_Init (&argc, &argv);
  MPI_Comm_size (MPI_COMM_WORLD, &id.numprocs);
  MPI_Comm_rank (MPI_COMM_WORLD, &id.myid);
  MPI_Get_processor_name (id.processor_name, &id.namelen);

  if (id.myid == 0)
    Master (&stat, id);
  else
    Slave (&stat, id);

  MPI_Finalize ();

  return 0;
}
